.TH devmsg() "" "" "Internal Kernel Routine"
.PC "Print a message from a device driver"
\fBvoid devmsg(\fIdev\^\fB, \fIfmt\^\fB, ... )\fR
\fBdev_t \fIdev\^\fB; char *\fIfmt\^\fB;\fR
.PP
.B devmsg()
prints a message from a device driver on the system console.
.I fmt
and optional additional arguments are in the same form as used by the
function
.BR printf() ,
except that
.B devmsg()
appends a newline onto
.IR fmt .
Output from
.B devmsg()
is synchronous and at high priority, so its use is
limited to brief error messages.
.SH "See Also"
.B
internal kernel routines,
printf()
.R
.SH Notes
This function does much the same work as the DDI/DKI routine
.BR cmn_err() .
